Bug 965037 - Provider Callback is never called after a call of BPEL process
Summary: Provider Callback is never called after a call of BPEL process
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard   
(Show other bugs)
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR5
: 6.0.0
Assignee: Keith Babo
QA Contact: Jiri Sedlacek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 878082
TreeView+ depends on / blocked
 
Reported: 2013-05-20 10:52 UTC by Ivo Bek
Modified: 2015-08-02 23:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 17:24:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
riskAssessor with ErrorHandler as a auditor (38.49 KB, application/x-zip-compressed)
2013-05-20 10:52 UTC, Ivo Bek
no flags Details
loan_approval1_08 (74.35 KB, application/x-zip-compressed)
2013-06-20 08:19 UTC, Ivo Bek
no flags Details
loan_approval2_08 (66.39 KB, application/x-zip-compressed)
2013-06-20 08:19 UTC, Ivo Bek
no flags Details

Description Ivo Bek 2013-05-20 10:52:21 UTC
Created attachment 750502 [details]
riskAssessor with ErrorHandler as a auditor

Description of problem:

When I have any auditor (with or without @Audit({Processors.PROVIDER_CALLBACK})), the afterCall method is never called for provider callback.

I tried that on a BEAN component and there the afterCall method is called, so it probably doesn't work just on a BPEL component.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Keith Babo 2013-06-19 22:55:44 UTC
I need a bit more detail on how to reproduce this.  I took the app attached to this email and ran the tests and the auditor is called before and after the provider based on the output of the test.  

Where's the issue and how do I reproduce it?

Comment 2 Ivo Bek 2013-06-20 08:18:36 UTC
Hi Keith,

I'm sorry I wanted to create a simpler reproducer, but it seems this one works and the after method is actually called. So, I'm going to attach 2 another services, which call just the before method of the auditor. To be sure, I tried it again with these services, loan_approval1_08, and loan_approval2_08.

How to reproduce:

1) unzip the 2 archives into quickstarts/bpel-service
2) build them
3) first, deploy the loan_approval2_08
4) second, deploy the loan_approval1_08
5) to http://localhost:8080/loanService/loanService send SOA-P message, containing:

<loan:firstName>Fred</loan:firstName>
<loan:name>Bloggs</loan:name>
<loan:amount>1000</loan:amount>

Comment 3 Ivo Bek 2013-06-20 08:19:25 UTC
Created attachment 763313 [details]
loan_approval1_08

Comment 4 Ivo Bek 2013-06-20 08:19:51 UTC
Created attachment 763314 [details]
loan_approval2_08

Comment 5 Ivo Bek 2013-06-20 08:38:00 UTC
In the console you should see just following output:

10:07:25,479 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS018559: Deployed "switchyard-quickstart-bpel-service-loan-approval.jar" (runtime-name : "switchyard-quickstart-bpel-service-loan-approval.jar")
10:08:40,899 INFO  [stdout] (http-/127.0.0.1:8080-1) before
10:08:40,918 INFO  [org.apache.ode.utils.WatchDog] (http-/127.0.0.1:8080-1) [Endpoint files for {DeploymentUnit switchyard-quickstart-bpel-service-loan-approval_loan_approval-0}] updated
10:08:41,053 INFO  [stdout] (ODEServer-1) before

nothing more

Comment 6 Keith Babo 2013-08-22 17:24:18 UTC
ExchangeInterceptor should be used for this purpose.


Note You need to log in before you can comment on or make changes to this bug.